package com.qianhe.service;

import java.util.List;
import com.qianhe.domain.WdLxwh;

/**
 * 文档-类型维护Service接口
 * 
 * @author qianhe
 * @date 2024-02-28
 */
public interface IWdLxwhService 
{
    /**
     * 查询文档-类型维护
     * 
     * @param id 文档-类型维护主键
     * @return 文档-类型维护
     */
    public WdLxwh selectWdLxwhById(Long id);

    /**
     * 查询文档-类型维护列表
     * 
     * @param wdLxwh 文档-类型维护
     * @return 文档-类型维护集合
     */
    public List<WdLxwh> selectWdLxwhList(WdLxwh wdLxwh);

    /**
     * 新增文档-类型维护
     * 
     * @param wdLxwh 文档-类型维护
     * @return 结果
     */
    public int insertWdLxwh(WdLxwh wdLxwh);

    /**
     * 修改文档-类型维护
     * 
     * @param wdLxwh 文档-类型维护
     * @return 结果
     */
    public int updateWdLxwh(WdLxwh wdLxwh);

    /**
     * 批量删除文档-类型维护
     * 
     * @param ids 需要删除的文档-类型维护主键集合
     * @return 结果
     */
    public int deleteWdLxwhByIds(Long[] ids);

    /**
     * 删除文档-类型维护信息
     * 
     * @param id 文档-类型维护主键
     * @return 结果
     */
    public int deleteWdLxwhById(Long id);
}
